# Class CelPayAccountPayload

#### Hierarchy

- unknown
  - CelPayAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5081
- Defined in src/protobuf/pb_pb.d.ts:5093

#####
Index

### Constructors

constructor

### Methods

getEmail
serializeBinary
setEmail
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CelPayAccountPayload(): CelPayAccountPayload

- #### Returns CelPayAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5082

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5085

### setEmail

- setEmail(value: string): CelPayAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CelPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5083

### toObject

- toObject(includeInstance?: boolean): CelPayAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CelPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5086

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CelPayAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CelPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5089

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CelPayAccountPayload, reader: BinaryReader): CelPayAccountPayload

- #### Parameters

  - ##### message: CelPayAccountPayload

  - ##### reader: BinaryReader

  #### Returns CelPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5090

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CelPayAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CelPayAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5088

### `Static` toObject

- toObject(includeInstance: boolean, msg: CelPayAccountPayload): CelPayAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CelPayAccountPayload

  #### Returns CelPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5087

Generated using TypeDoc